Skip to content

Get the events webhook configuration for the current account/environment.

GET
/webhooks/events

Successful response

Events webhook configuration returned by the API.

object
webhookId
required

Storage key in the format accountId:envId (currently accountId:accountId for account-scoped usage).

string
webhook
required

Destination URL that receives webhook event payloads.

string
events
required

List of subscribed event types for this webhook configuration.

Array<string>
Allowed values: EMAIL_OPEN EMAIL_CLICK EMAIL_FAILED EMAIL_DELIVERED EMAIL_UNSUBSCRIBE EMAIL_INBOUND INAPP_WEB_FAILED INAPP_WEB_UNSUBSCRIBE SMS_DELIVERED SMS_FAILED SMS_UNSUBSCRIBE SMS_INBOUND PUSH_FAILED PUSH_UNSUBSCRIBE CALL_FAILED CALL_UNSUBSCRIBE WEB_PUSH_FAILED WEB_PUSH_UNSUBSCRIBE SLACK_FAILED SLACK_UNSUBSCRIBE

Bad Request

Unauthorized

Internal Server Error